Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 706708 - sci-biology/paml-4.4c-r1 : fails to build with -fno-common or gcc-10
Summary: sci-biology/paml-4.4c-r1 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Science Biology related packages
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-27 17:38 UTC by Toralf Förster
Modified: 2020-11-01 18:36 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.59 KB, text/plain)
2020-01-27 17:38 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,159.01 KB, text/plain)
2020-01-27 17:38 UTC, Toralf Förster
Details
environment (environment,52.39 KB, text/plain)
2020-01-27 17:38 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,15.17 KB, application/x-bzip)
2020-01-27 17:38 UTC, Toralf Förster
Details
sci-biology:paml-4.4c-r1:20200127-132215.log (sci-biology:paml-4.4c-r1:20200127-132215.log,7.55 KB, text/plain)
2020-01-27 17:38 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,14.13 KB, application/x-bzip)
2020-01-27 17:38 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-27 17:38:01 UTC
In file included from baseml.c:11:
paml.h:122:45: note: expected ‘char **’ but argument is of type ‘unsigned char **’
  122 | int printsma(FILE*fout, char*spname[], char*z[],
      |                                        ~~~~~^~~
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: /var/tmp/portage/sci-biology/paml-4.4c-r1/temp/ccu2aJRy.o:(.bss+0x4540): multiple definition of `OutTreeOptions'; /var/tmp/portage/sci-biology/paml-4.4c-r1/temp/ccr1nFqz.o:(.bss+0x32ed870): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: /var/tmp/portage/sci-biology/paml-4.4c-r1/temp/ccu2aJRy.o:(.bss+0x4544): multiple definition of `DataTypes'; /var/tmp/portage/sci-biology/paml-4.4c-r1/temp/ccr1nFqz.o:(.bss+0x32ed874): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_no-multilib-20200124-204141

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *


llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *



repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Mon, 27 Jan 2020 13:06:21 +0000

emerge -qpvO sci-biology/paml
[ebuild  N    ] sci-biology/paml-4.4c-r1
Comment 1 Toralf Förster gentoo-dev 2020-01-27 17:38:04 UTC
Created attachment 605484 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-27 17:38:07 UTC
Created attachment 605486 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-27 17:38:10 UTC
Created attachment 605488 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-27 17:38:12 UTC
Created attachment 605490 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-27 17:38:15 UTC
Created attachment 605492 [details]
sci-biology:paml-4.4c-r1:20200127-132215.log
Comment 6 Toralf Förster gentoo-dev 2020-01-27 17:38:18 UTC
Created attachment 605494 [details]
temp.tbz2
Comment 7 Sam James archtester gentoo-dev Security 2020-10-31 05:03:41 UTC
paml 4.9 has a patch, anyway: https://sources.debian.org/patches/paml/4.9j+dfsg-3/gcc10.patch/
Comment 8 Larry the Git Cow gentoo-dev 2020-11-01 18:36:50 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5e71680b7a85431b46e92a2bb86e9f0507fcee3e

commit 5e71680b7a85431b46e92a2bb86e9f0507fcee3e
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2020-11-01 18:35:56 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2020-11-01 18:35:56 +0000

    sci-biology/paml: Remove old 4.4c-r1
    
    Closes: https://bugs.gentoo.org/706708
    Package-Manager: Portage-3.0.8, Repoman-3.0.2
    Signed-off-by: David Seifert <soap@gentoo.org>

 sci-biology/paml/Manifest            |  1 -
 sci-biology/paml/paml-4.4c-r1.ebuild | 47 ------------------------------------
 2 files changed, 48 deletions(-)

Additionally, it has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9d4c4862d17a28af87e503a3f30b866efd544aad

commit 9d4c4862d17a28af87e503a3f30b866efd544aad
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2020-11-01 18:35:53 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2020-11-01 18:35:53 +0000

    sci-biology/paml: Version bump to 4.9j
    
    Bug: https://bugs.gentoo.org/706708
    Package-Manager: Portage-3.0.8, Repoman-3.0.2
    Signed-off-by: David Seifert <soap@gentoo.org>

 sci-biology/paml/Manifest                         |  1 +
 sci-biology/paml/files/paml-4.9j-fno-common.patch | 14 ++++++++
 sci-biology/paml/files/paml-4.9j-makefile.patch   | 42 ++++++++++++++++++++++
 sci-biology/paml/paml-4.9j.ebuild                 | 43 +++++++++++++++++++++++
 4 files changed, 100 insertions(+)